package com.nasc.custom.domain;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;

/**
 * @Author: Yujianq
 * @Date: 2024/6/4 16:03
 * @Description: 人工核验记录表
 * @return:
 */
public class NascManualVerify {

    /** 人工核验表主键 */
    private Long id;

    /** 核验处理人 */
    private Long dealUser;

    /** 核验状态 0 未核验 1 通过 2 未通过 */
    private Long dealStatus;

    /** 事项ID */
    private Long matterId;

    /** 材料ID */
    private Long materialId;

    /** 材料ID */
    private String materialName;

    /** 受理表ID */
    private Long dealId;

    /** 不通过理由 */
    private String reason;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 核验时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date verifyTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDealUser() {
        return dealUser;
    }

    public void setDealUser(Long dealUser) {
        this.dealUser = dealUser;
    }

    public Long getDealStatus() {
        return dealStatus;
    }

    public void setDealStatus(Long dealStatus) {
        this.dealStatus = dealStatus;
    }

    public Long getMatterId() {
        return matterId;
    }

    public void setMatterId(Long matterId) {
        this.matterId = matterId;
    }

    public Long getMaterialId() {
        return materialId;
    }

    public void setMaterialId(Long materialId) {
        this.materialId = materialId;
    }

    public String getMaterialName() {
        return materialName;
    }

    public void setMaterialName(String materialName) {
        this.materialName = materialName;
    }

    public Long getDealId() {
        return dealId;
    }

    public void setDealId(Long dealId) {
        this.dealId = dealId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getVerifyTime() {
        return verifyTime;
    }

    public void setVerifyTime(Date verifyTime) {
        this.verifyTime = verifyTime;
    }
}
